<?xml version="1.0" encoding="utf-8"?>
<!-- Copyright 2015 Google Inc. All Rights Reserved -->
<!-- Common build provider and preparers for Clockwork ASIT templates. -->
<configuration description="Common build provider and preparers for Clockwork ASIT templates." >
    <!-- don't set test harness bit since we need pairing -->
    <option name="google-device-setup:set-test-harness" value="false" />

    <!-- com.android.tradefed.targetprep.TestAppInstallSetup -->
    <!-- install dependency pieces for pairing onto clockwork -->
    <target_preparer class="com.android.tradefed.targetprep.TestAppInstallSetup">
        <option name="test-file-name" value="BluetoothTests.apk" />
        <option name="test-file-name" value="GeppettoClockwork.apk" />
        <option name="cleanup-apks" value="true" />
    </target_preparer>

    <target_preparer class="com.google.android.tradefed.targetprep.clockwork.ClockworkCompanionAllocator" />
    <target_preparer class="com.google.android.tradefed.targetprep.clockwork.CompanionDeviceSetup">
        <option name="set-property" key="persist.sys.timezone" value="America/Los_Angeles"/>
    </target_preparer>
    <!-- install dependency pieces for pairing onto companion -->
    <target_preparer class="com.android.tradefed.targetprep.companion.CompanionTestAppInstallSetup">
        <option name="alt-dir" value="/google/data/ro/teams/clockwork/apks/companion/armeabi-v7a/signed/latest" />
        <option name="alt-dir-behavior" value="OVERRIDE" />
        <option name="test-file-name" value="ClockworkCompanionGoogleRelease.apk" />
        <option name="install-arg" value="-d" />
    </target_preparer>
    <target_preparer class="com.android.tradefed.targetprep.companion.CompanionTestAppInstallSetup">
        <option name="alt-dir" value="/google/data/ro/teams/tradefed/testdata/clockwork" />
        <option name="alt-dir-behavior" value="OVERRIDE" />
        <option name="test-file-name" value="GmsCore.apk" />
        <option name="test-file-name" value="GeppettoClockwork.apk" />
        <option name="test-file-name" value="Velvet.apk" />
        <option name="test-file-name" value="BluetoothTests.apk" />
        <option name="install-arg" value="-d" />
    </target_preparer>
    <!-- prep clockwork device with some commands -->
    <target_preparer class="com.android.tradefed.targetprep.RunCommandTargetPreparer">
        <!-- Disable WiFi opt-in dialog -->
        <option name="run-command" value="pm disable com.google.android.wearable.app/com.google.android.clockwork.home.cloudsync.CloudSyncOptInService" />
        <!-- Disable charging activities that interfere with pairing -->
        <option name="run-command" value="pm disable com.lge.wearable.chargingmode/com.lge.wearable.chargingmode.ChargingActivity" />
        <option name="run-command" value="pm disable com.motorola.targetnotif/com.motorola.loop.ChargeActivity" />
        <!-- Disable AT&T NumberSync -->
        <option name="run-command" value="pm disable com.google.android.apps.wearable.numbersync" />
    </target_preparer>
    <!-- prep companion device with some commands -->
    <target_preparer class="com.android.tradefed.targetprep.companion.CompanionRunCommandTargetPreparer">
        <option name="run-command" value="settings put secure enabled_notification_listeners com.google.android.wearable.app/com.google.android.clockwork.stream.NotificationCollectorService" />
        <!-- Screen on for pairing automation -->
        <option name="run-command" value="svc power stayon true" />
        <option name="run-command" value="setprop persist.logd.logpersistd logcatd" />
        <!-- clear logpersisd logs -->
        <option name="run-command" value="rm /data/misc/logd/logcat.*" />
    </target_preparer>
</configuration>
